import sys
import os

if os.path.dirname(__file__) not in sys.path:
    sys.path.append(os.path.dirname(__file__))

import hiscore

from twisted.web.resource import Resource

class it(Resource):
    def render_GET(self, request):
        request.setHeader('content-type', 'text/html; charset=utf-8')
        if 'time' in request.args:
            t = hiscore.parsetime(request.args['time'][0])
        else:
            t = hiscore.Time()
        start, end = hiscore.monthRangeAround(t)
        hiscore.main(start, end, request.write)
        return ''


resource = it()
